# Introduction

Thank you for considering contributing to castellum. These guidelines
are meant to help you with all the small annoyances so we can then
concentrate on the really important aspects of your contribution.

While we are a rather small project, we would be happy about just any
kind of contribution. We are especially interested in feedback from
institutes that consider using the software.

Please understand that our mission is first and foremost to serve the
Max Planck Gesellschaft and its institutes. This also means that we have
high standards on privacy and security. While we try to build a reusable
product, we cannot implement every potentially useful feature request.

# Get in touch

For most kinds of contributions, the best first step is to contact us.
For example, you could send us your feedback. But also if you would like
to fix a bug it often makes sense to send a mail first to avoid
duplicate work.

You can find our contact information on the [project home
page](https://www.mpib-berlin.mpg.de/en/research/lifespan-psychology/castellum).

# Reporting bugs

When reporting an issue, please make sure to answer these questions:

1. What did you do?
2. What did you expect to see?
3. What did you see instead?
4. Which version of castellum are you using?
5. Which browser (in which version) are you using?

If you find a security vulnerability, please do **not** open an issue.
Email <feg@mpib-berlin.mpg.de> instead.

# Contributing code

You can send small changes in any format you would like. For bigger
changes, please contact us so we can give you access to our gitlab
server.

Please make sure to run all tests before submitting the changes. You
should also include tests for new features. The test coverage should
never drop below 80%.

All code will be reviewed by a member of the core team before it is
merged into the master branch. The reviewers will probably leave some
comments and requests. Please respond to those within two weeks. If we
do not hear back from you we will expect you lost interest.

In our experience, conceptual debates work much better verbally compared
to long email threads. Be prepared to have a video/audio chat with us if
the need arises.

TODO: Do we need a CLA?
